const glob = require("glob")

const search = (globs) => {
    const searches = globs.map(g => new Promise(
        (resolve, reject) => glob(g, {}, (err, files) => {
            if (err){
                reject(err)
            } else {
                resolve(files)
            }
        })
    ))

    return Promise.all(searches)
        .then(fileLists => [].concat(...fileLists).sort())
}

module.exports = {
    search
}